<!DOCTYPE html>
<html>
	<head>
		<title>
			<?php
				if (isset($_GET['open']))
				{
					echo $_GET['open'];
				}
			?>
		</title>
		<meta name="theme-color" content="white" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
		<meta charset="UTF-8">
		<style type="text/css">
			body {
				font-family: helvetica;
			}
			textarea {
				width: 100%;
				border: none;
				outline: none;
				font-family: inherit;
				font-size: inherit;
			}
			.title {
				width: 100%;
				border: none;
				outline: none;
				font-family: inherit;
				font-size: inherit;
				font-weight: bold;
			}
		</style>
	</head>
	<body>
		<?php
			require 'settings.php';

			if ($password && (!isset($_SERVER['PHP_AUTH_PW']) || $_SERVER['PHP_AUTH_PW'] != $password)) {
				header('WWW-Authenticate: Basic realm="bbn"');
				header('HTTP/1.0 401 Unauthorized');
				echo '<p>Access denied.</p>';
				exit;
			}

			if (isset($_POST['savebutton']))
			{
				$title = $_POST['title'];
				$content = $_POST['content'];
				file_put_contents($dir . '/' . $title, $content);
				$_GET['open'] = $title;
			}
			else if (isset($_POST['deletebutton']))
			{
				$title = $_POST['title'];
				rename($dir . '/' . $title, $dir . '/' . $title . '.del');
			}

			if (isset($_GET['open']))
			{
				$title = $_GET['open'];

				$content = '';
				if (!file_exists($dir . '/' . $title))
				{
					file_put_contents($dir . '/' . $title, $content);
				}
				else
				{
					$content = file_get_contents($dir . '/' . $title);
				}

				$nblines = max(20, substr_count($content, "\r\n") + 1) * 2;

				echo '<form action="index.php" method="POST">
						<div>
							<input accesskey="h" type="submit" name="homebutton" value="home">
							<input type="submit" name="savebutton" value="save" accesskey="s">
							<input accesskey="d" type="submit" name="deletebutton" value="delete">
						</div>
						<br>
						<div><input class="title" name="title" value="' . $title . '"></div><br>
						<div>
							<textarea rows="' . $nblines. '" autofocus name="content" spellcheck="false">' . $content . '</textarea>
						</div>
					</form>';
			}
			else
			{
				echo '<form action="index.php" method="GET">
					<input list="notes" name="open" value="' . date("Y-m-d H.i.s", time()) . '">
					<input accesskey="n" type="submit" value="open">
					</form>';
				echo '<br>';

				$files = glob($dir . '/*');
				usort($files, function($a, $b)
				{
					return filemtime($b) - filemtime($a);
				});

				$autocomplete = '<datalist id="notes">';
				foreach($files as $path)
				{
					$name = basename($path);
					if (!str_ends_with($name, '.del'))
					{
						$autocomplete .= '<option value="' . $name . '">';
						echo '<div><a href=index.php?open=' . urlencode($name) . '>' . $name .'</a></div>';
					}
				}
				$autocomplete .= '</datalist>';
				echo $autocomplete;
				echo '<br>';
			}
		?>
	</body>
</html>
